PlayPluginConfigurations (Gradle API 2.9)
Date: 2015-11-17

Package: org.gradle.play.plugins

## [Java] Class PlayPluginConfigurations

- org.gradle.play.plugins.PlayPluginConfigurations

- Conventional locations and names for play plugins.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `COMPILE_CONFIGURATION` |
    `static String` | `PLATFORM_CONFIGURATION` |
    `static String` | `RUN_CONFIGURATION` |
    `static String` | `TEST_COMPILE_CONFIGURATION` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PlayPluginConfigurations (ConfigurationContainer configurations, DependencyHandler dependencyHandler)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `PlayPluginConfigurations.PlayConfiguration` | `getPlay()`
    `PlayPluginConfigurations.PlayConfiguration` | `getPlayPlatform()`
    `PlayPluginConfigurations.PlayConfiguration` | `getPlayRun()`
    `PlayPluginConfigurations.PlayConfiguration` | `getPlayTest()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final String COMPILE_CONFIGURATION

    - #### public static final String PLATFORM_CONFIGURATION

    - #### public static final String RUN_CONFIGURATION

    - #### public static final String TEST_COMPILE_CONFIGURATION

  - ### Constructor Detail

    - #### public PlayPluginConfigurations(ConfigurationContainer configurations, DependencyHandler dependencyHandler)

  - ### Method Detail

    - #### public PlayPluginConfigurations.PlayConfiguration getPlay()

    - #### public PlayPluginConfigurations.PlayConfiguration getPlayPlatform()

    - #### public PlayPluginConfigurations.PlayConfiguration getPlayRun()

    - #### public PlayPluginConfigurations.PlayConfiguration getPlayTest()